package com.zswl.cloud.springBtach.server.core.domain;

import com.github.microservice.components.data.mongo.timer.domain.SimpleTaskTimerTable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

@Data
@Document
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScheduledTask extends SimpleTaskTimerTable {

    @Indexed(unique = true)
    private String method;
}